import { renderless, api } from '@opentinyvue/vue-renderless/card-template/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import { iconEdit, iconHelp, iconMore, iconClose, iconExcel } from '@opentinyvue/vue-icon';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  props: [].concat(props, ["tools", "header", "bodyStyle", "headerLine"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  },
  components: {
    IconEdit: iconEdit(),
    IconHelp: iconHelp(),
    IconMore: iconMore(),
    IconClose: iconClose(),
    IconExcel: iconExcel()
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    ref: "item",
    staticClass: "tiny-card-template"
  }, [_vm.slots.header || _vm.header || _vm.tools && _vm.tools.length ? _c("div", {
    staticClass: "tiny-card-template__header",
    class: {
      "is-line": _vm.headerLine
    }
  }, [_vm._t("header", function() {
    return [_c("span", {
      staticClass: "tiny-card-template__title"
    }, [_vm._v(_vm._s(_vm.header))])];
  }), _vm.tools && _vm.tools.length ? _c("div", {
    staticClass: "tiny-card-template__tools"
  }, [_c("ul", {
    staticClass: "tiny-card-template__list"
  }, _vm._l(_vm.state.currentTools, function(item, index) {
    return _c("li", {
      key: index,
      attrs: {
        "title": item.title
      },
      on: {
        "click": function click($event) {
          $event.stopPropagation();
          return item.click.apply(null, arguments);
        }
      }
    }, [_c(item.icon, {
      tag: "component",
      staticClass: "tiny-svg-size"
    })], 1);
  }), 0), _c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.state.moreTools && _vm.state.moreTools.length && _vm.state.showMoreTools,
      expression: "state.moreTools && state.moreTools.length && state.showMoreTools"
    }],
    ref: "selector",
    staticClass: "tiny-selector tiny-card-template__more",
    on: {
      "mouseleave": function mouseleave($event) {
        _vm.state.showMoreTools = false;
      }
    }
  }, [_c("ul", {
    staticClass: "tiny-poplist"
  }, _vm._l(_vm.state.moreTools, function(item, index) {
    return _c("li", {
      key: index,
      class: {
        "select-pre": _vm.state.isEnter
      },
      attrs: {
        "title": item.title
      },
      on: {
        "click": function click($event) {
          return _vm.toolClick(item.click);
        }
      }
    }, [_c(item.icon, {
      tag: "component",
      staticClass: "tiny-svg-size"
    }), _vm._v(" " + _vm._s(item.title) + " ")], 1);
  }), 0)])]) : _vm._e()], 2) : _vm._e(), _c("div", {
    staticClass: "tiny-card-template__body",
    style: _vm.bodyStyle
  }, [_vm._t("default")], 2), _vm._t("footer")], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
